<?php
	require(realpath('../../../wp-load.php'));
	
	$linepay = new WC_LinePay();
	$m_id = $linepay->merchant_id;
	$m_secret_2 = $linepay->merchant_secret2;
	
	if (!isset($_POST['sign'])) {
		header('HTTP/1.1 403 Forbidden', true, 403);
		die();
	}
	
	$order_id = $_POST['order_id'];
	$amount = $_POST['amount'];
	$sign = $_POST['sign'];
	$pay_id = $_POST['pay_id'];
	
	$_sign = md5($m_id.'|'.$m_secret_2.'|'.$amount.'|'.$order_id);
	
	if ($_sign != $sign) {
		header('HTTP/1.1 403 Forbidden', true, 403);
		die();
	}
	
	
	$order = new WC_Order($order_id);
	$real_amount = get_post_meta($order_id, 'wc_linepay_amount', 1);
	if ($real_amount == '') {
		$real_amount = $order->get_total();
	}
	if ((float)$amount < (float)$real_amount) {
		$pay_left = (float)$real_amount - (float)$amount;
		update_post_meta($order_id, 'wc_linepay_amount', $pay_left);
		$order->add_order_note('LinePay - Платёж выполнен частично ('.$amount.'). Осталось заплатить '.$pay_left.'. ID транзакции: '.$pay_id);
		echo 'ok';
		die();
	}
	$pay_plus = (float)$amount - (float)$real_amount;
	if ($pay_plus <= 0) {
		$order->add_order_note('LinePay - Платёж выполнен ('.$amount.'). ID транзакции: '.$pay_id);
	} else {
		$order->add_order_note('LinePay - Платёж выполнен ('.$amount.'). Переплата '.$pay_plus.'. ID транзакции: '.$pay_id);
	}
	$order->payment_complete($pay_id);
	
	echo 'ok';
?>